| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- File List
- File Members

Loading...
Searching...
No Matches
Enumerations | Functions
AAX_SampleRateUtils.h File Reference

Go to the source code of this file.

## Description

Description.

## Enumerations
enum | ESRUtils { eSRUtils_48kRangeCoarse = 48000 , eSRUtils_96kRangeCoarse = 96000 , eSRUtils_192kRangeCoarse = 192000 , eSRUtils_48kRangeMin = 0 , eSRUtils_48kRangeMax = 51000 , eSRUtils_96kRangeMin = eSRUtils_48kRangeMax+1 , eSRUtils_96kRangeMax = 102000 , eSRUtils_192kRangeMin = eSRUtils_96kRangeMax+1 , eSRUtils_192kRangeMax = 204000 , eSRUtils_48kIndex = 0 , eSRUtils_96kIndex = 1 , eSRUtils_192kIndex = 2 }

## Functions
int | CoarseSampleRate (int iRate)
int | CoarseSampleRateFactor (int iRate)
int | CoarseSampleRateIndex (int iRate)

## Enumeration Type Documentation

## ◆ ESRUtils

enum ESRUtils

Enumerator
eSRUtils_48kRangeCoarse |
eSRUtils_96kRangeCoarse |
eSRUtils_192kRangeCoarse |
eSRUtils_48kRangeMin |
eSRUtils_48kRangeMax |
eSRUtils_96kRangeMin |
eSRUtils_96kRangeMax |
eSRUtils_192kRangeMin |
eSRUtils_192kRangeMax |
eSRUtils_48kIndex |
eSRUtils_96kIndex |
eSRUtils_192kIndex |

## Function Documentation

## ◆ CoarseSampleRate()

int CoarseSampleRate | ( | int | iRate | ) |
| inline

References eSRUtils_192kRangeCoarse, eSRUtils_192kRangeMax, eSRUtils_192kRangeMin, eSRUtils_48kRangeCoarse, eSRUtils_48kRangeMax, eSRUtils_48kRangeMin, eSRUtils_96kRangeCoarse, eSRUtils_96kRangeMax, and eSRUtils_96kRangeMin.

Referenced by CoarseSampleRateFactor(), and CoarseSampleRateIndex().

Here is the caller graph for this function:

## ◆ CoarseSampleRateFactor()

int CoarseSampleRateFactor | ( | int | iRate | ) |
| inline

References CoarseSampleRate(), and eSRUtils_48kRangeCoarse.

Here is the call graph for this function:

## ◆ CoarseSampleRateIndex()

int CoarseSampleRateIndex | ( | int | iRate | ) |
| inline

References CoarseSampleRate(), eSRUtils_192kRangeCoarse, eSRUtils_48kRangeCoarse, and eSRUtils_96kRangeCoarse.

Here is the call graph for this function: